TYPO3 Core - Task #92628
Epic # 89595 (In Progress): Improve accessibility of backend

Linked TYPO3-Logo has no discernible text
2020-10-21 12:26 - Georg Ringer

Status: Resolved Start date: 2020-10-21
Priority: Should have Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour

Target version:

TYPO3 Version: 10 Complexity:
PHP Version: Sprint Focus:
Tags: accessibility a1y

Description

Screenreader don't know the purpose of the link because the linked TYPOS logo has no discernible text.

<a href="https://t3version10.ddev.site/typo3/" id="t3js-login-url" data-referrer-check-enabled="1">

<img src="/typo3/sysext/backend/Resources/Public/Images/typo3_orange.svg" class="typo3-login-image" alt="">

</a>

Related issues:

Related to TYPO3 Core - Bug #93172: TYPO3-Logo link has no relation to logo Resolved
Related to TYPO3 Core - Bug #93275: Custom backend loginLogo — without an exp... Resolved
Has duplicate TYPO3 Core - Task #92649: Add Linked TYPO3-Logo-Login alt text Resolved

2020-12-27
2021-01-12
2020-10-21

Associated revisions

Revision fb9a9ea8 - 2021-01-09 12:14 - Georg Ringer
[FEATURE] Add alt-text to login logo

The login logo for the default logo is set to "TYPO3 logo".
For custom logos an alt-attribute for the image tag can
be configured.

In v12 it will be required to configure the alt-text to
ensure accessibility.

Resolves: #92628

Releases: master

Change-Id: Ib35b8fbdbff08e7c9a1e778fc62d8135214d1af0
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/66222
Tested-by: Andreas Fernandez <a.fernandez@scripting-base.de>
Tested-by: TYPO3com <noreply@typo3.com>

Tested-by: Richard Haeser <richard@richardhaeser.com>

Reviewed-by: Andreas Fernandez <a.fernandez@scripting-base.de>
Reviewed-by: Richard Haeser <richard@richardhaeser.com>

Revision 60dab029 - 2021-01-12 15:35 - Benjamin Franzke
[BUGFIX] Fix TypeError when loginLogoAlt is unset

As of #92628, 'loginLogoAlt' is evaluated when a custom backend
loginLogo has been set, but it is not taken into account if has

not been set at all. Use null coalesce operator to avoid notices

and to avoid throwing TypeErrors because trim() cannot handle null
values.

Resolves: #93275

Related: #92628

Releases: master

Change-Id: 11cd2875f9b92b9d1a86e3817e1623acb45922b85
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/67437
Tested-by: Andreas Fernandez <a.fernandez@scripting-base.de>
Tested-by: TYPO3com <noreply@typo3.com>
Tested-by: Michael Telgkamp <michael.telgkamp@mindscreen.de>
Tested-by: Richard Haeser <richard@richardhaeser.com>
Reviewed-by: Andreas Fernandez <a.fernandez@scripting-base.de>
Reviewed-by: Michael Telgkamp <michael.telgkamp@mindscreen.de>
Reviewed-by: Richard Haeser <richard@richardhaeser.com>

History

#1 - 2020-10-21 13:38 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/66222

#2 - 2020-10-23 10:21 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/66222

#3 - 2020-10-24 17:46 - Riccardo De Contardi
- Parent task set to #89595

#4 - 2020-11-08 16:00 - Martin Kutschker
- Has duplicate Task #92649: Add Linked TYPOG3-Logo-Login alt text added

#5 - 2020-11-08 16:12 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/66222

#6 - 2020-11-22 17:22 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/66222

#7 - 2020-11-24 21:09 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https:/review. .org/c/Pack /TYPO3.CMS/+/66222

#8 - 2020-11-26 20:30 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/66222

#9 - 2020-11-28 15:44 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/66222

#10 - 2020-12-05 22:11 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https:/review. .org/c/Pack TYP

#11 - 2020-12-27 10:07 - Martin Kutschker
- Related to Bug #93172: TYPO3-Logo link has no relation to logo added

#12 - 2020-12-27 17:32 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/66222

#13 - 2020-12-29 21:53 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/66222

#14 - 2021-01-03 20:12 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/66222

#15 - 2021-01-06 16:03 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/66222

#16 - 2021-01-07 09:36 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/66222

#17 - 2021-01-09 10:06 - Gerrit Code Review

Patch set 14 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/66222

#18 - 2021-01-09 11:40 - Gerrit Code Review

Patch set 15 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/66222

#19 - 2021-01-09 12:22 - Georg Ringer
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset fb9a9ea8f95¢1706d1171311d4f8c29e7aa536¢c2.

#20 - 2021-01-12 14:06 - Benjamin Franzke
- Related to Bug #93275: Custom backend loginLogo — without an explicit loginLogoAlt settings — causes TypeError added
